test: _CONSOLE_INFORMATION struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _CONSOLE_INFORMATION Struct Reference

`#include <server.h>`

List of all members.

## Public Attributes

CRITICAL_SECTION | ConsoleLock
ULONG | RefCount
ULONG | WaitCount
INPUT_INFORMATION | InputBuffer
PSCREEN_INFORMATION | CurrentScreenBuffer
PSCREEN_INFORMATION | ScreenBuffers
HWINSTA | hWinSta
HDESK | hDesk
HWND | hWnd
HKL | hklActive
HDC | hDC
HMENU | hMenu
HMENU | hHeirMenu
HPALETTE | hSysPalette
RECT | WindowRect
DWORD | ResizeFlags
LIST_ENTRY | OutputQueue
HANDLE | InitEvents [NUMBER_OF_INITIALIZATION_EVENTS]
HANDLE | ClientThreadHandle
LIST_ENTRY | ProcessHandleList
LIST_ENTRY | CommandHistoryList
LIST_ENTRY | ExeAliasList
SHORT | NumCommandHistories
SHORT | MaxCommandHistories
SHORT | CommandHistorySize
USHORT | OriginalTitleLength
USHORT | TitleLength
LPWSTR | OriginalTitle
LPWSTR | Title
DWORD | dwHotKey
HICON | hIcon
HICON | hSmIcon
INT | iIconId
WORD | LastAttributes
BYTE | ReserveKeys
DWORD | Flags
PLIST_ENTRY | WaitQueue
DWORD | SelectionFlags
SMALL_RECT | SelectionRect
COORD | SelectionAnchor
COORD | TextCursorPosition
ULONG | TextCursorSize
BOOLEAN | TextCursorVisible
BOOLEAN | InsertMode
WORD | wShowWindow
int | dwWindowOriginX
int | dwWindowOriginY
WORD | FullScreenFlags
WORD | PopupCount
HANDLE | VDMStartHardwareEvent
HANDLE | VDMEndHardwareEvent
HANDLE | VDMProcessHandle
HANDLE | VDMProcessId
HANDLE | VDMBufferSectionHandle
PCHAR_INFO | VDMBuffer
PCHAR_INFO | VDMBufferClient
COORD | VDMBufferSize
HANDLE | StateSectionHandle
PVOID | StateBuffer
PVOID | StateBufferClient
DWORD | StateLength
UINT | CP
UINT | OutputCP
HWND | hWndProgMan
BOOL | bIconInit
HANDLE | ConsoleHandle
ULONG | CtrlFlags
ULONG | LimitingProcessId
HANDLE | TerminationEvent
SHORT | VerticalClientToWindow
SHORT | HorizontalClientToWindow
COLORREF | ColorTable [16]
HANDLE | hProcessLastNotifyClose
HANDLE | ProcessIdLastNotifyClose
HWND | hWndProperties
PINPUT_THREAD_INFO | InputThreadInfo
LIST_ENTRY | MessageQueue

## Member Data Documentation

BOOL _CONSOLE_INFORMATION::bIconInit

| Definition at line 219 of file server.h. Referenced by ConsoleWindowProc(), and dc().

HANDLE _CONSOLE_INFORMATION::ClientThreadHandle

| Definition at line 147 of file server.h. Referenced by ConsoleWindowProc(), and dc().

COLORREF _CONSOLE_INFORMATION::ColorTable[16]

| Definition at line 230 of file server.h.

LIST_ENTRY _CONSOLE_INFORMATION::CommandHistoryList

| Definition at line 149 of file server.h. Referenced by dc().

SHORT _CONSOLE_INFORMATION::CommandHistorySize

| Definition at line 153 of file server.h. Referenced by dc().

HANDLE _CONSOLE_INFORMATION::ConsoleHandle

| Definition at line 221 of file server.h. Referenced by ApiPreamble(), ConsoleWindowProc(), dc(), DestroyConsole(), and RemoveConsole().

CRITICAL_SECTION _CONSOLE_INFORMATION::ConsoleLock

| Definition at line 129 of file server.h. Referenced by dc().

UINT _CONSOLE_INFORMATION::CP

| Definition at line 210 of file server.h. Referenced by dc(), dt(), RawReadWaitRoutine(), ReadBuffer(), SearchForString(), SrvAddConsoleAlias(), SrvGetConsoleAlias(), SrvGetConsoleAliases(), SrvGetConsoleAliasExes(), SrvGetConsoleCommandHistory(), SrvGetConsoleCP(), SrvGetConsoleTitle(), SrvInvalidateBitMapRect(), SrvSetConsoleCP(), SrvSetConsoleTitle(), and WriteBuffer().

ULONG _CONSOLE_INFORMATION::CtrlFlags

| Definition at line 223 of file server.h. Referenced by dc(), and UnlockConsole().

PSCREEN_INFORMATION _CONSOLE_INFORMATION::CurrentScreenBuffer

| Definition at line 133 of file server.h. Referenced by ConsoleWindowProc(), dc(), dt(), FindDialogProc(), SetActiveScreenBuffer(), SrvCreateConsoleScreenBuffer(), SrvInvalidateBitMapRect(), SrvOpenConsole(), SrvReadConsole(), SrvReadConsoleOutput(), SrvRegisterConsoleVDM(), SrvScrollConsoleScreenBuffer(), SrvSetConsoleCP(), SrvSetConsoleMode(), SrvShowConsoleCursor(), SrvWriteConsoleOutput(), and WWSB_WriteRegionToScreen().

DWORD _CONSOLE_INFORMATION::dwHotKey

| Definition at line 158 of file server.h. Referenced by dc().

int _CONSOLE_INFORMATION::dwWindowOriginX

| Definition at line 185 of file server.h. Referenced by dc().

int _CONSOLE_INFORMATION::dwWindowOriginY

| Definition at line 186 of file server.h. Referenced by dc().

LIST_ENTRY _CONSOLE_INFORMATION::ExeAliasList

| Definition at line 150 of file server.h. Referenced by dc(), SrvGetConsoleAliasExes(), and SrvGetConsoleAliasExesLength().

DWORD _CONSOLE_INFORMATION::Flags

| Definition at line 164 of file server.h. Referenced by AllocateConsole(), ConsoleAddProcessRoutine(), ConsoleClientConnectRoutine(), ConsoleClientShutdown(), ConsoleWindowProc(), dc(), FindDialogProc(), ProcessCreateConsoleWindow(), RemoveConsole(), ScrollRegion(), SearchForString(), SetActiveScreenBuffer(), SetWindowOrigin(), SrvAllocConsole(), SrvConsoleNotifyLastClose(), SrvGetConsoleMode(), SrvRegisterConsoleVDM(), SrvSetConsoleCursorPosition(), SrvSetConsoleKeyShortcuts(), SrvSetConsoleMenuClose(), SrvSetConsoleMode(), SrvSetConsoleWindowInfo(), SrvVDMConsoleOperation(), SrvWriteConsoleOutput(), StreamScrollRegion(), UnlockConsole(), and WWSB_DoWriteConsole().

WORD _CONSOLE_INFORMATION::FullScreenFlags

| Definition at line 188 of file server.h. Referenced by ConsoleWindowProc(), dc(), ScrollRegion(), SetActiveScreenBuffer(), SetWindowOrigin(), SrvGetConsoleDisplayMode(), SrvGetConsoleNumberOfFonts(), SrvGetLargestConsoleWindowSize(), SrvInvalidateBitMapRect(), SrvReadConsoleOutput(), SrvRegisterConsoleVDM(), SrvScrollConsoleScreenBuffer(), SrvSetConsoleCP(), SrvSetConsoleDisplayMode(), SrvSetConsoleFont(), SrvSetConsoleHardwareState(), SrvSetConsoleMode(), SrvSetConsoleWindowInfo(), SrvShowConsoleCursor(), SrvWriteConsoleOutput(), StreamScrollRegion(), WWSB_DoWriteConsole(), and WWSB_WriteRegionToScreen().

HDC _CONSOLE_INFORMATION::hDC

| Definition at line 139 of file server.h. Referenced by ConsoleWindowProc(), dc(), DisplayModeTransition(), FreeScreenBuffer(), RawReadWaitRoutine(), ReadBuffer(), SearchForString(), SetActiveScreenBuffer(), SetScreenColors(), SetWindowOrigin(), StreamScrollRegion(), WriteBuffer(), WWSB_ConsolePolyTextOut(), WWSB_DoWriteConsole(), and WWSB_WriteRegionToScreen().

HDESK _CONSOLE_INFORMATION::hDesk

| Definition at line 136 of file server.h. Referenced by GetThreadConsoleDesktop(), and SetUpConsole().

HMENU _CONSOLE_INFORMATION::hHeirMenu

| Definition at line 141 of file server.h. Referenced by ConsoleWindowProc(), and dc().

HICON _CONSOLE_INFORMATION::hIcon

| Definition at line 159 of file server.h. Referenced by ConsoleWindowProc(), dc(), and SrvSetConsoleIcon().

HKL _CONSOLE_INFORMATION::hklActive

| Definition at line 138 of file server.h. Referenced by ConsoleWindowProc(), and SrvGetConsoleKeyboardLayoutName().

HMENU _CONSOLE_INFORMATION::hMenu

| Definition at line 140 of file server.h. Referenced by dc().

SHORT _CONSOLE_INFORMATION::HorizontalClientToWindow

| Definition at line 228 of file server.h. Referenced by dc().

HANDLE _CONSOLE_INFORMATION::hProcessLastNotifyClose

| Definition at line 231 of file server.h. Referenced by RemoveConsole(), and SrvConsoleNotifyLastClose().

HICON _CONSOLE_INFORMATION::hSmIcon

| Definition at line 160 of file server.h. Referenced by ConsoleWindowProc(), and SrvSetConsoleIcon().

HPALETTE _CONSOLE_INFORMATION::hSysPalette

| Definition at line 142 of file server.h. Referenced by ConsoleWindowProc(), dc(), DisplayModeTransition(), FreeScreenBuffer(), and SetActiveScreenBuffer().

HWINSTA _CONSOLE_INFORMATION::hWinSta

| Definition at line 135 of file server.h. Referenced by ConsoleClientConnectRoutine(), and SetUpConsole().

HWND _CONSOLE_INFORMATION::hWnd

| Definition at line 137 of file server.h. Referenced by ConsoleClientShutdown(), dc(), ProcessCreateConsoleWindow(), QueueConsoleMessage(), SetScreenColors(), SrvGetConsoleWindow(), SrvSetConsoleIcon(), SrvSetConsoleKeyShortcuts(), SrvSetConsoleTitle(), and SrvVDMConsoleOperation().

HWND _CONSOLE_INFORMATION::hWndProgMan

| Definition at line 218 of file server.h. Referenced by ConsoleWindowProc(), and dc().

HWND _CONSOLE_INFORMATION::hWndProperties

| Definition at line 233 of file server.h. Referenced by ConsoleWindowProc().

INT _CONSOLE_INFORMATION::iIconId

| Definition at line 161 of file server.h. Referenced by ConsoleWindowProc(), and dc().

HANDLE _CONSOLE_INFORMATION::InitEvents[NUMBER_OF_INITIALIZATION_EVENTS]

| Definition at line 146 of file server.h. Referenced by ConsoleClientConnectRoutine(), and dc().

INPUT_INFORMATION _CONSOLE_INFORMATION::InputBuffer

| Definition at line 132 of file server.h. Referenced by ConsoleClientConnectRoutine(), ConsoleWindowProc(), dc(), di(), SetActiveScreenBuffer(), SetWindowOrigin(), SrvOpenConsole(), SrvSetConsoleCursorPosition(), SrvWriteConsoleOutput(), and WWSB_AdjustCursorPosition().

PINPUT_THREAD_INFO _CONSOLE_INFORMATION::InputThreadInfo

| Definition at line 235 of file server.h. Referenced by ConsoleClientShutdown(), ConsoleWindowProc(), ProcessCreateConsoleWindow(), SetActiveScreenBuffer(), SrvRegisterConsoleVDM(), and SrvSetConsolePalette().

BOOLEAN _CONSOLE_INFORMATION::InsertMode

| Definition at line 180 of file server.h. Referenced by dc(), SrvGetConsoleMode(), SrvSetConsoleCommandHistoryMode(), and SrvSetConsoleMode().

WORD _CONSOLE_INFORMATION::LastAttributes

| Definition at line 162 of file server.h. Referenced by dc(), SetScreenColors(), WWSB_ConsolePolyTextOut(), and WWSB_WriteRegionToScreen().

ULONG _CONSOLE_INFORMATION::LimitingProcessId

| Definition at line 224 of file server.h. Referenced by dc(), SrvGenerateConsoleCtrlEvent(), and UnlockConsole().

SHORT _CONSOLE_INFORMATION::MaxCommandHistories

| Definition at line 152 of file server.h. Referenced by dc().

LIST_ENTRY _CONSOLE_INFORMATION::MessageQueue

| Definition at line 237 of file server.h. Referenced by QueueConsoleMessage(), and UnqueueConsoleMessage().

SHORT _CONSOLE_INFORMATION::NumCommandHistories

| Definition at line 151 of file server.h. Referenced by dc().

LPWSTR _CONSOLE_INFORMATION::OriginalTitle

| Definition at line 156 of file server.h. Referenced by dc().

USHORT _CONSOLE_INFORMATION::OriginalTitleLength

| Definition at line 154 of file server.h. Referenced by dc().

UINT _CONSOLE_INFORMATION::OutputCP

| Definition at line 211 of file server.h. Referenced by dc(), dt(), SrvGetConsoleCP(), SrvGetConsoleLangId(), SrvInvalidateBitMapRect(), SrvScrollConsoleScreenBuffer(), SrvSetConsoleCP(), SrvSetConsoleFont(), SrvSetConsoleHardwareState(), SrvSetConsoleMode(), SrvSetConsoleWindowInfo(), WWSB_ConsolePolyTextOut(), and WWSB_DoWriteConsole().

LIST_ENTRY _CONSOLE_INFORMATION::OutputQueue

| Definition at line 145 of file server.h. Referenced by dc().

WORD _CONSOLE_INFORMATION::PopupCount

| Definition at line 189 of file server.h. Referenced by dc(), and SetScreenColors().

LIST_ENTRY _CONSOLE_INFORMATION::ProcessHandleList

| Definition at line 148 of file server.h. Referenced by ConsoleClientShutdown(), dc(), and SrvGenerateConsoleCtrlEvent().

HANDLE _CONSOLE_INFORMATION::ProcessIdLastNotifyClose

| Definition at line 232 of file server.h. Referenced by RemoveConsole(), and SrvConsoleNotifyLastClose().

ULONG _CONSOLE_INFORMATION::RefCount

| Definition at line 130 of file server.h. Referenced by ConsoleAddProcessRoutine(), ConsoleClientShutdown(), dc(), RemoveConsole(), and SetUpConsole().

BYTE _CONSOLE_INFORMATION::ReserveKeys

| Definition at line 163 of file server.h. Referenced by ConsoleWindowProc(), dc(), and SrvSetConsoleKeyShortcuts().

DWORD _CONSOLE_INFORMATION::ResizeFlags

| Definition at line 144 of file server.h. Referenced by ConsoleWindowProc(), and dc().

PSCREEN_INFORMATION _CONSOLE_INFORMATION::ScreenBuffers

| Definition at line 134 of file server.h. Referenced by dc(), and dt().

COORD _CONSOLE_INFORMATION::SelectionAnchor

| Definition at line 175 of file server.h. Referenced by dc(), FindDialogProc(), and SearchForString().

DWORD _CONSOLE_INFORMATION::SelectionFlags

| Definition at line 173 of file server.h. Referenced by dc(), and FindDialogProc().

SMALL_RECT _CONSOLE_INFORMATION::SelectionRect

| Definition at line 174 of file server.h. Referenced by dc(), and FindDialogProc().

PVOID _CONSOLE_INFORMATION::StateBuffer

| Definition at line 204 of file server.h. Referenced by dc(), SrvRegisterConsoleVDM(), and SrvVDMConsoleOperation().

PVOID _CONSOLE_INFORMATION::StateBufferClient

| Definition at line 205 of file server.h. Referenced by dc(), and SrvRegisterConsoleVDM().

DWORD _CONSOLE_INFORMATION::StateLength

| Definition at line 206 of file server.h. Referenced by dc(), SrvRegisterConsoleVDM(), and SrvVDMConsoleOperation().

HANDLE _CONSOLE_INFORMATION::StateSectionHandle

| Definition at line 203 of file server.h. Referenced by dc(), and SrvRegisterConsoleVDM().

HANDLE _CONSOLE_INFORMATION::TerminationEvent

| Definition at line 225 of file server.h. Referenced by ConsoleClientShutdown(), and dc().

COORD _CONSOLE_INFORMATION::TextCursorPosition

| Definition at line 176 of file server.h. Referenced by dc().

ULONG _CONSOLE_INFORMATION::TextCursorSize

| Definition at line 177 of file server.h. Referenced by dc().

BOOLEAN _CONSOLE_INFORMATION::TextCursorVisible

| Definition at line 178 of file server.h. Referenced by dc().

LPWSTR _CONSOLE_INFORMATION::Title

| Definition at line 157 of file server.h. Referenced by ConsoleWindowProc(), dc(), dmem(), dt(), ProcessCreateConsoleWindow(), SrvGetConsoleTitle(), and SrvSetConsoleTitle().

USHORT _CONSOLE_INFORMATION::TitleLength

| Definition at line 155 of file server.h. Referenced by dc(), dmem(), dt(), ProcessCreateConsoleWindow(), SrvGetConsoleTitle(), and SrvSetConsoleTitle().

PCHAR_INFO _CONSOLE_INFORMATION::VDMBuffer

| Definition at line 199 of file server.h. Referenced by dc(), dt(), SrvInvalidateBitMapRect(), and SrvRegisterConsoleVDM().

PCHAR_INFO _CONSOLE_INFORMATION::VDMBufferClient

| Definition at line 200 of file server.h. Referenced by dc(), and SrvRegisterConsoleVDM().

HANDLE _CONSOLE_INFORMATION::VDMBufferSectionHandle

| Definition at line 198 of file server.h. Referenced by dc(), and SrvRegisterConsoleVDM().

COORD _CONSOLE_INFORMATION::VDMBufferSize

| Definition at line 201 of file server.h. Referenced by dc(), SrvInvalidateBitMapRect(), and SrvRegisterConsoleVDM().

HANDLE _CONSOLE_INFORMATION::VDMEndHardwareEvent

| Definition at line 194 of file server.h. Referenced by dc(), and SrvRegisterConsoleVDM().

HANDLE _CONSOLE_INFORMATION::VDMProcessHandle

| Definition at line 195 of file server.h. Referenced by dc(), SrvConsoleNotifyLastClose(), and SrvRegisterConsoleVDM().

HANDLE _CONSOLE_INFORMATION::VDMProcessId

| Definition at line 196 of file server.h. Referenced by ApiPreamble(), dc(), RemoveConsole(), SrvConsoleNotifyLastClose(), SrvRegisterConsoleVDM(), SrvVDMConsoleOperation(), and UnlockConsole().

HANDLE _CONSOLE_INFORMATION::VDMStartHardwareEvent

| Definition at line 193 of file server.h. Referenced by dc(), and SrvRegisterConsoleVDM().

SHORT _CONSOLE_INFORMATION::VerticalClientToWindow

| Definition at line 227 of file server.h. Referenced by dc().

ULONG _CONSOLE_INFORMATION::WaitCount

| Definition at line 131 of file server.h. Referenced by dc().

PLIST_ENTRY _CONSOLE_INFORMATION::WaitQueue

| Definition at line 169 of file server.h. Referenced by dc().

RECT _CONSOLE_INFORMATION::WindowRect

| Definition at line 143 of file server.h. Referenced by ConsoleWindowProc(), and dc().

WORD _CONSOLE_INFORMATION::wShowWindow

| Definition at line 184 of file server.h. Referenced by dc().

The documentation for this struct was generated from the following file:

- server.h